Page MenuHomePhabricator

Add query.wikidata.org to shortening URL list for UrlShortener
Closed, ResolvedPublic

Description

Currently, UrlShortener config allows to use URLs based on wikidata.org but not query.wikidata.org. It would be very useful if we could also shorten query URLs, this requires adding query.wikidata.org to whitelisted domains for UrlShortener.

Also, test.wikidata.org is not allowed even on labs, may make sense to add that too for testing purposes. Maybe even *.wikidata.org?

Related Objects

StatusAssignedTask
ResolvedLadsgroup
ResolvedBBlack
ResolvedSmalyshev
ResolvedLadsgroup
Resolvedmatmarex
Resolvedmatmarex
ResolvedLegoktm
Resolvedmatmarex
DuplicateNone
Resolvedori
ResolvedBBlack
ResolvedBBlack
Resolved dpatrick
ResolvedPrtksxna
ResolvedLegoktm
ResolvedLegoktm
ResolvedArielGlenn
ResolvedJoe
ResolvedBBlack
ResolvedSmalyshev
ResolvedLadsgroup
Resolved Marostegui
ResolvedLegoktm
ResolvedPrtksxna
ResolvedLadsgroup
DeclinedNone

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 3 2016, 11:17 PM

Hm, this seems like an oversight. We should be whitelisting *.wikidata.org, I'm not sure why it's not a wildcard...

Change 302851 had a related patch set uploaded (by Legoktm):
UrlShortener: Whitelist *.wikidata.org

https://gerrit.wikimedia.org/r/302851

git blame points to me...no idea what I was thinking!

Change 302851 merged by jenkins-bot:
UrlShortener: Whitelist *.wikidata.org

https://gerrit.wikimedia.org/r/302851

Dereckson added a subscriber: Dereckson.EditedAug 11 2016, 11:35 PM

This change will also allow to work with www.wikidata.org and not only https://wikidata.org

Mentioned in SAL [2016-08-11T23:37:41Z] <dereckson@tin> Synchronized wmf-config/CommonSettings.php: UrlShortener: Whitelist *.wikidata.org (T142055) (duration: 00m 47s)

@Dereckson That's the point - all *.wikidata.org should be allowed.

Smalyshev closed this task as Resolved.Aug 12 2016, 5:54 AM
Smalyshev claimed this task.